package com.foreverwin.mesnac.meapi.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author Leon.L
 * @since 2021-06-02
 */

@TableName("ROUTER")
public class Router extends Model<Router> {

    private static final long serialVersionUID = 1L;

   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
   @TableField("CHANGE_STAMP")
   private Long changeStamp;
   @TableField("SITE")
   private String site;
   @TableField("ROUTER")
   private String router;
   @TableField("ROUTER_TYPE")
   private String routerType;
   @TableField("DESCRIPTION")
   private String description;
   @TableField("TEMPORARY_ROUTER")
   private String temporaryRouter;
   @TableField("STATUS_BO")
   private String statusBo;
   @TableField("ENTRY_ROUTER_STEP_BO")
   private String entryRouterStepBo;
   @TableField("COPIED_FROM_ROUTER_BO")
   private String copiedFromRouterBo;
   @TableField("REVISION")
   private String revision;
   @TableField("CURRENT_REVISION")
   private String currentRevision;
   @TableField("HAS_BEEN_RELEASED")
   private String hasBeenReleased;
   @TableField("EFF_START_DATE")
   private LocalDateTime effStartDate;
   @TableField("EFF_END_DATE")
   private LocalDateTime effEndDate;
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
   @TableField("MODIFIED_DATE_TIME")
   private LocalDateTime modifiedDateTime;
   @TableField("GUI_REPRESENTATION")
   private String guiRepresentation;
   @TableField("ORIGINAL_STATUS_BO")
   private String originalStatusBo;
   @TableField("DISPOSITION_GROUP_BO")
   private String dispositionGroupBo;
   @TableField("PREV_SITE")
   private String prevSite;
   @TableField("ORIGINAL_TRANSFER_KEY")
   private String originalTransferKey;
   @TableField("DISPLAY_TYPE")
   private String displayType;
   @TableField("HOLD_ID")
   private Long holdId;
   @TableField("SEND_AS_SHARED")
   private String sendAsShared;
   @TableField("SENT_TO_ERP")
   private String sentToErp;
   @TableField("ERP_CHANGE_NUMBER")
   private String erpChangeNumber;
   @TableField("RELAXED_FLOW")
   private String relaxedFlow;
   @TableField("BOM_BO")
   private String bomBo;
   @TableField("ORIGIN")
   private String origin;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public Long getChangeStamp() {
      return changeStamp;
   }

   public void setChangeStamp(Long changeStamp) {
      this.changeStamp = changeStamp;
   }

   public String getSite() {
      return site;
   }

   public void setSite(String site) {
      this.site = site;
   }

   public String getRouter() {
      return router;
   }

   public void setRouter(String router) {
      this.router = router;
   }

   public String getRouterType() {
      return routerType;
   }

   public void setRouterType(String routerType) {
      this.routerType = routerType;
   }

   public String getDescription() {
      return description;
   }

   public void setDescription(String description) {
      this.description = description;
   }

   public String getTemporaryRouter() {
      return temporaryRouter;
   }

   public void setTemporaryRouter(String temporaryRouter) {
      this.temporaryRouter = temporaryRouter;
   }

   public String getStatusBo() {
      return statusBo;
   }

   public void setStatusBo(String statusBo) {
      this.statusBo = statusBo;
   }

   public String getEntryRouterStepBo() {
      return entryRouterStepBo;
   }

   public void setEntryRouterStepBo(String entryRouterStepBo) {
      this.entryRouterStepBo = entryRouterStepBo;
   }

   public String getCopiedFromRouterBo() {
      return copiedFromRouterBo;
   }

   public void setCopiedFromRouterBo(String copiedFromRouterBo) {
      this.copiedFromRouterBo = copiedFromRouterBo;
   }

   public String getRevision() {
      return revision;
   }

   public void setRevision(String revision) {
      this.revision = revision;
   }

   public String getCurrentRevision() {
      return currentRevision;
   }

   public void setCurrentRevision(String currentRevision) {
      this.currentRevision = currentRevision;
   }

   public String getHasBeenReleased() {
      return hasBeenReleased;
   }

   public void setHasBeenReleased(String hasBeenReleased) {
      this.hasBeenReleased = hasBeenReleased;
   }

   public LocalDateTime getEffStartDate() {
      return effStartDate;
   }

   public void setEffStartDate(LocalDateTime effStartDate) {
      this.effStartDate = effStartDate;
   }

   public LocalDateTime getEffEndDate() {
      return effEndDate;
   }

   public void setEffEndDate(LocalDateTime effEndDate) {
      this.effEndDate = effEndDate;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

   public LocalDateTime getModifiedDateTime() {
      return modifiedDateTime;
   }

   public void setModifiedDateTime(LocalDateTime modifiedDateTime) {
      this.modifiedDateTime = modifiedDateTime;
   }

   public String getGuiRepresentation() {
      return guiRepresentation;
   }

   public void setGuiRepresentation(String guiRepresentation) {
      this.guiRepresentation = guiRepresentation;
   }

   public String getOriginalStatusBo() {
      return originalStatusBo;
   }

   public void setOriginalStatusBo(String originalStatusBo) {
      this.originalStatusBo = originalStatusBo;
   }

   public String getDispositionGroupBo() {
      return dispositionGroupBo;
   }

   public void setDispositionGroupBo(String dispositionGroupBo) {
      this.dispositionGroupBo = dispositionGroupBo;
   }

   public String getPrevSite() {
      return prevSite;
   }

   public void setPrevSite(String prevSite) {
      this.prevSite = prevSite;
   }

   public String getOriginalTransferKey() {
      return originalTransferKey;
   }

   public void setOriginalTransferKey(String originalTransferKey) {
      this.originalTransferKey = originalTransferKey;
   }

   public String getDisplayType() {
      return displayType;
   }

   public void setDisplayType(String displayType) {
      this.displayType = displayType;
   }

   public Long getHoldId() {
      return holdId;
   }

   public void setHoldId(Long holdId) {
      this.holdId = holdId;
   }

   public String getSendAsShared() {
      return sendAsShared;
   }

   public void setSendAsShared(String sendAsShared) {
      this.sendAsShared = sendAsShared;
   }

   public String getSentToErp() {
      return sentToErp;
   }

   public void setSentToErp(String sentToErp) {
      this.sentToErp = sentToErp;
   }

   public String getErpChangeNumber() {
      return erpChangeNumber;
   }

   public void setErpChangeNumber(String erpChangeNumber) {
      this.erpChangeNumber = erpChangeNumber;
   }

   public String getRelaxedFlow() {
      return relaxedFlow;
   }

   public void setRelaxedFlow(String relaxedFlow) {
      this.relaxedFlow = relaxedFlow;
   }

   public String getBomBo() {
      return bomBo;
   }

   public void setBomBo(String bomBo) {
      this.bomBo = bomBo;
   }

   public String getOrigin() {
      return origin;
   }

   public void setOrigin(String origin) {
      this.origin = origin;
   }

public static final String HANDLE = "HANDLE";

public static final String CHANGE_STAMP = "CHANGE_STAMP";

public static final String SITE = "SITE";

public static final String ROUTER = "ROUTER";

public static final String ROUTER_TYPE = "ROUTER_TYPE";

public static final String DESCRIPTION = "DESCRIPTION";

public static final String TEMPORARY_ROUTER = "TEMPORARY_ROUTER";

public static final String STATUS_BO = "STATUS_BO";

public static final String ENTRY_ROUTER_STEP_BO = "ENTRY_ROUTER_STEP_BO";

public static final String COPIED_FROM_ROUTER_BO = "COPIED_FROM_ROUTER_BO";

public static final String REVISION = "REVISION";

public static final String CURRENT_REVISION = "CURRENT_REVISION";

public static final String HAS_BEEN_RELEASED = "HAS_BEEN_RELEASED";

public static final String EFF_START_DATE = "EFF_START_DATE";

public static final String EFF_END_DATE = "EFF_END_DATE";

public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";

public static final String MODIFIED_DATE_TIME = "MODIFIED_DATE_TIME";

public static final String GUI_REPRESENTATION = "GUI_REPRESENTATION";

public static final String ORIGINAL_STATUS_BO = "ORIGINAL_STATUS_BO";

public static final String DISPOSITION_GROUP_BO = "DISPOSITION_GROUP_BO";

public static final String PREV_SITE = "PREV_SITE";

public static final String ORIGINAL_TRANSFER_KEY = "ORIGINAL_TRANSFER_KEY";

public static final String DISPLAY_TYPE = "DISPLAY_TYPE";

public static final String HOLD_ID = "HOLD_ID";

public static final String SEND_AS_SHARED = "SEND_AS_SHARED";

public static final String SENT_TO_ERP = "SENT_TO_ERP";

public static final String ERP_CHANGE_NUMBER = "ERP_CHANGE_NUMBER";

public static final String RELAXED_FLOW = "RELAXED_FLOW";

public static final String BOM_BO = "BOM_BO";

public static final String ORIGIN = "ORIGIN";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "Router{" +
         "handle = " + handle +
         ", changeStamp = " + changeStamp +
         ", site = " + site +
         ", router = " + router +
         ", routerType = " + routerType +
         ", description = " + description +
         ", temporaryRouter = " + temporaryRouter +
         ", statusBo = " + statusBo +
         ", entryRouterStepBo = " + entryRouterStepBo +
         ", copiedFromRouterBo = " + copiedFromRouterBo +
         ", revision = " + revision +
         ", currentRevision = " + currentRevision +
         ", hasBeenReleased = " + hasBeenReleased +
         ", effStartDate = " + effStartDate +
         ", effEndDate = " + effEndDate +
         ", createdDateTime = " + createdDateTime +
         ", modifiedDateTime = " + modifiedDateTime +
         ", guiRepresentation = " + guiRepresentation +
         ", originalStatusBo = " + originalStatusBo +
         ", dispositionGroupBo = " + dispositionGroupBo +
         ", prevSite = " + prevSite +
         ", originalTransferKey = " + originalTransferKey +
         ", displayType = " + displayType +
         ", holdId = " + holdId +
         ", sendAsShared = " + sendAsShared +
         ", sentToErp = " + sentToErp +
         ", erpChangeNumber = " + erpChangeNumber +
         ", relaxedFlow = " + relaxedFlow +
         ", bomBo = " + bomBo +
         ", origin = " + origin +
         "}";
   }
}